### Method

# Gdk Device get_layout_names

since: 4.18

#### Declaration [src]

    gchar**
    gdk_device_get_layout_names (
      GdkDevice* device
    )

#### Description [src]

Retrieves the names of the layouts of the keyboard.

This is only relevant for keyboard devices.

Available since: 4.18

Gets property | `Gdk.Device:layout-names`

#### Return value

Type: An array of `utf8`

`NULL`-terminated array of strings of layouts,.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.